"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _useTheme = _interopRequireDefault(require("@material-ui/core/styles/useTheme"));

var _react = _interopRequireDefault(require("react"));

var _styles = require("@material-ui/core/styles");

var _Close = _interopRequireDefault(require("@material-ui/icons/Close"));

var _Dialog = _interopRequireDefault(require("@material-ui/core/Dialog"));

var _DialogActions = _interopRequireDefault(require("@material-ui/core/DialogActions"));

var _DialogContent = _interopRequireDefault(require("@material-ui/core/DialogContent"));

var _IconButton = _interopRequireDefault(require("@material-ui/core/IconButton"));

var _Zoom = _interopRequireDefault(require("@material-ui/core/Zoom"));

var Transition = _react["default"].forwardRef(function (props, ref) {
  return _react["default"].createElement(_Zoom["default"], (0, _extends2["default"])({
    duration: 500,
    ref: ref
  }, props));
});

var styles = function styles(theme) {
  return {
    root: {},
    content: {
      padding: 0,
      display: 'flex',
      flexDirection: 'column'
    },
    paper: {
      flex: 1,
      background: 'rgba(255,255,255,0.9)'
    }
  };
};

var useStyles = (0, _styles.makeStyles)(styles, {
  name: 'RSFLightbox'
});

function Lightbox(props) {
  var classes = props.classes,
      children = props.children,
      onClose = props.onClose,
      open = props.open,
      TransitionComponent = props.TransitionComponent;
  classes = useStyles({
    classes: classes
  });
  var theme = (0, _useTheme["default"])();
  return _react["default"].createElement(_Dialog["default"], {
    open: open,
    fullScreen: true,
    classes: {
      paper: classes.paper
    },
    TransitionComponent: TransitionComponent,
    className: classes.root,
    style: {
      zIndex: theme.zIndex.modal + 10
    }
  }, _react["default"].createElement(_DialogActions["default"], null, _react["default"].createElement(_IconButton["default"], {
    onClick: onClose
  }, _react["default"].createElement(_Close["default"], null))), _react["default"].createElement(_DialogContent["default"], {
    className: classes.content
  }, children));
}

Lightbox.defaultProps = {
  TransitionComponent: Transition
};

var _default = _react["default"].memo(Lightbox);

exports["default"] = _default;
//# sourceMappingURL=Lightbox.js.map