"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = Media;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _Image = _interopRequireDefault(require("../Image"));

var _reactImageMagnify = _interopRequireDefault(require("react-image-magnify"));

function Media(_ref) {
  var magnifyProps = _ref.magnifyProps,
      imageProps = _ref.imageProps,
      src = _ref.src,
      alt = _ref.alt,
      magnify = _ref.magnify,
      _ref$type = _ref.type,
      type = _ref$type === void 0 ? 'image' : _ref$type;

  if (type === 'video') {
    return _react["default"].createElement("video", {
      src: src,
      alt: alt
    });
  } else if (magnify) {
    return _react["default"].createElement(_reactImageMagnify["default"], (0, _extends2["default"])({
      enlargedImagePosition: "over"
    }, magnifyProps, {
      smallImage: {
        src: src,
        alt: alt,
        isFluidWidth: true
      },
      largeImage: magnify
    }));
  } else {
    return _react["default"].createElement(_Image["default"], (0, _extends2["default"])({
      key: src,
      src: src,
      alt: alt,
      fill: true
    }, imageProps));
  }
}
//# sourceMappingURL=Media.js.map