"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = SearchDrawer;
exports.styles = void 0;

var _react = _interopRequireDefault(require("react"));

var _Drawer = _interopRequireDefault(require("../drawer/Drawer"));

var _styles = require("@material-ui/core/styles");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _SearchProvider = _interopRequireDefault(require("./SearchProvider"));

var styles = function styles(theme) {
  return {
    paper: {
      display: 'flex'
    },
    closeButton: {
      color: theme.palette.primary.contrastText
    }
  };
};

exports.styles = styles;
var useStyles = (0, _styles.makeStyles)(styles, {
  name: 'RSFSearch'
});

function SearchDrawer(_ref) {
  var DrawerComponent = _ref.DrawerComponent,
      classes = _ref.classes,
      open = _ref.open,
      onClose = _ref.onClose,
      children = _ref.children;
  classes = useStyles({
    classes: classes
  });
  return _react["default"].createElement(_SearchProvider["default"], {
    onClose: onClose
  }, _react["default"].createElement(DrawerComponent, {
    classes: classes,
    open: open,
    anchor: "bottom",
    onClose: onClose,
    fullscreen: true
  }, children));
}

SearchDrawer.propTypes = {
  DrawerComponent: _propTypes["default"].func
};
SearchDrawer.defaultProps = {
  DrawerComponent: _Drawer["default"]
};
//# sourceMappingURL=SearchDrawer.js.map