"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = SearchProvider;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _SearchContext = _interopRequireDefault(require("./SearchContext"));

var _isomorphicUnfetch = _interopRequireDefault(require("isomorphic-unfetch"));

var _debounce = _interopRequireDefault(require("lodash/debounce"));

var _fetchLatest = require("../utils/fetchLatest");

var _useNavigationEvent = _interopRequireDefault(require("../hooks/useNavigationEvent"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2["default"])(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

var fetch = (0, _fetchLatest.fetchLatest)(_isomorphicUnfetch["default"]);

function SearchProvider(_ref) {
  var children = _ref.children,
      initialGroups = _ref.initialGroups,
      onClose = _ref.onClose;

  var _useState = (0, _react.useState)({
    groups: initialGroups,
    loading: true
  }),
      _useState2 = (0, _slicedToArray2["default"])(_useState, 2),
      state = _useState2[0],
      setState = _useState2[1];

  (0, _react.useEffect)(function () {
    if (state.groups == null) {
      fetchSuggestions('');
    }
  }, []);
  (0, _useNavigationEvent["default"])(onClose);
  var fetchSuggestions = (0, _debounce["default"])(
  /*#__PURE__*/
  function () {
    var _ref2 = (0, _asyncToGenerator2["default"])(
    /*#__PURE__*/
    _regenerator["default"].mark(function _callee(text) {
      var url, _ref3, groups;

      return _regenerator["default"].wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              _context.prev = 0;
              setState(function (state) {
                return _objectSpread({}, state, {
                  loading: true
                });
              });
              url = "/api/suggestions?q=".concat(encodeURIComponent(text.trim()));
              _context.next = 5;
              return fetch(url, {
                credentials: 'include'
              }).then(function (res) {
                return res.json();
              });

            case 5:
              _ref3 = _context.sent;
              groups = _ref3.groups;
              setState(function (state) {
                return _objectSpread({}, state, {
                  loading: false,
                  groups: groups
                });
              });
              _context.next = 13;
              break;

            case 10:
              _context.prev = 10;
              _context.t0 = _context["catch"](0);

              if (!_fetchLatest.StaleResponseError.is(_context.t0)) {
                setState(function (state) {
                  return _objectSpread({}, state, {
                    loading: false
                  });
                });
              }

            case 13:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, null, [[0, 10]]);
    }));

    return function (_x) {
      return _ref2.apply(this, arguments);
    };
  }(), 250); // const context = useMemo(
  //   () => ({
  //     state,
  //     setState,
  //     fetchSuggestions,
  //     onClose,
  //     submit
  //   }),
  //   [state]
  // )

  var context = {
    state: state,
    setState: setState,
    fetchSuggestions: fetchSuggestions,
    onClose: onClose
  };
  return _react["default"].createElement(_SearchContext["default"].Provider, {
    value: context
  }, children);
}

SearchProvider.propTypes = {
  initialGroups: _propTypes["default"].array,
  onClose: _propTypes["default"].func
};
//# sourceMappingURL=SearchProvider.js.map