"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = SearchSuggestions;
exports.styles = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styles = require("@material-ui/core/styles");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _SearchSuggestionGroup = _interopRequireDefault(require("./SearchSuggestionGroup"));

var _SearchContext = _interopRequireDefault(require("./SearchContext"));

var _LoadMask = _interopRequireDefault(require("../LoadMask"));

var styles = function styles(theme) {
  return {
    root: {
      flex: 1,
      overflowY: 'auto'
    },
    group: {
      margin: theme.spacing(0, 0, 2, 0)
    }
  };
};

exports.styles = styles;
var useStyles = (0, _styles.makeStyles)(styles, {
  name: 'RSFSearchSuggestions'
});

function SearchSuggestions(_ref) {
  var classes = _ref.classes;
  classes = useStyles({
    classes: classes
  });

  var _useContext = (0, _react.useContext)(_SearchContext["default"]),
      state = _useContext.state;

  return _react["default"].createElement("div", {
    className: classes.root
  }, _react["default"].createElement(_LoadMask["default"], {
    show: state.loading,
    transparent: true
  }), state.groups && state.groups.map(function (group, i) {
    return _react["default"].createElement("div", {
      key: i,
      className: classes.group
    }, _react["default"].createElement(_SearchSuggestionGroup["default"], group));
  }));
}

SearchSuggestions.propTypes = {};
SearchSuggestions.defaultProps = {};
//# sourceMappingURL=SearchSuggestions.js.map